Bug 172583 - [maintainer update] update lang/basic256 to 0.9.9.1
[maintainer update] update lang/basic256 to 0.9.9.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 23:58 UTC by fernando.apesteguia
Modified: 2012-10-12 01:54 UTC (History)
0 users

See Also:


Attachments
file.diff (3.99 KB, patch)
2012-10-10 23:58 UTC, fernando.apesteguia
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2012-10-10 23:58:32 UTC
This patch updates lang/basic256 to 0.9.9.1

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-10-11 13:41:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 fernando.apesteguia 2012-10-11 16:36:01 UTC
I need to make and update even before the first patch gets committed, sorry.

The patch-Stack.cpp fixed the compilation but caused some examples to
misbehave. This new diff file is the proper upgrade to 0.9.9.1.

--------------------------------
diff -ruN /usr/ports/lang/basic256/Makefile basic256/Makefile
--- /usr/ports/lang/basic256/Makefile	2012-08-10 14:28:23.000000000 +0200
+++ basic256/Makefile	2012-10-08 23:20:22.000000000 +0200
@@ -2,10 +2,11 @@
 # Date created:                Aug 17 2011
 # Whom:                        Fernando Apesteguia
<fernando.apesteguia@gmail.com>
 #
-# $FreeBSD: ports/lang/basic256/Makefile,v 1.5 2012/08/10 12:28:23
madpilot Exp $
+# $FreeBSD: ports/lang/basic256/Makefile,v 1.4 2012/06/06 06:44:01 miwi Exp $

 PORTNAME=		basic256
-PORTVERSION=		0.9.6.69a
+PORTVERSION=		0.9.9.1
+PORTREVISION=		1
 CATEGORIES=		lang
 MASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	kidbasic/basic256
@@ -18,6 +19,8 @@
 BUILD_DEPENDS=		espeak:${PORTSDIR}/audio/espeak
 BUILD_DEPENDS+=		sqlite3:${PORTSDIR}/databases/sqlite3
 BUILD_DEPENDS+=		qmake-qt4:${PORTSDIR}/devel/qmake4
+BUILD_DEPENDS+=		bison:${PORTSDIR}/devel/bison
+BUILD_DEPENDS+=		flex:${PORTSDIR}/textproc/flex

 WRKSRC=			${WRKDIR}

diff -ruN /usr/ports/lang/basic256/distinfo basic256/distinfo
--- /usr/ports/lang/basic256/distinfo	2012-08-10 14:28:23.000000000 +0200
+++ basic256/distinfo	2012-10-08 19:25:08.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.6.69a.tgz) =
38a2246081d6d5572aeffe737ac4db4575f656705ee4479d4322e8bdd45f9140
-SIZE (basic256_0.9.6.69a.tgz) = 15708072
+SHA256 (basic256_0.9.9.1.tgz) =
cb959497b8576c790731eea0898855612f444f7a84bc743a9aae14680f40e372
+SIZE (basic256_0.9.9.1.tgz) = 7938684
diff -ruN /usr/ports/lang/basic256/files/patch-Stack.cpp
basic256/files/patch-Stack.cpp
--- /usr/ports/lang/basic256/files/patch-Stack.cpp	1970-01-01
01:00:00.000000000 +0100
+++ basic256/files/patch-Stack.cpp	2012-10-11 17:27:17.000000000 +0200
@@ -0,0 +1,12 @@
+--- Stack.cpp.orig	2012-10-11 17:26:55.000000000 +0200
++++ Stack.cpp	2012-10-11 17:27:14.000000000 +0200
+@@ -53,7 +53,8 @@
+ int Stack::height()
+ {
+ 	// return the height of the stack in elements
+-	return ((unsigned int) top - (unsigned int) bottom)/sizeof(stackval);
++	// magic of pointer math returns number of elements
++	return ((int) (top - bottom));
+ }
+
+ void
diff -ruN /usr/ports/lang/basic256/pkg-plist basic256/pkg-plist
--- /usr/ports/lang/basic256/pkg-plist	2012-08-10 14:28:23.000000000 +0200
+++ basic256/pkg-plist	2012-10-10 18:46:27.000000000 +0200
@@ -1,10 +1,13 @@
 bin/BASIC256
 share/basic256/Examples/15puzzle.kbs
+share/basic256/Examples/15puzzle_new.kbs
 share/basic256/Examples/BASICtest1.kbs
 share/basic256/Examples/arrays.kbs
 share/basic256/Examples/ballaccel.kbs
+share/basic256/Examples/ballaccel_2.kbs
 share/basic256/Examples/ballanim.kbs
 share/basic256/Examples/basic256_icon.kbs
+share/basic256/Examples/basic256_icon_V1.kbs
 share/basic256/Examples/card_suites.kbs
 share/basic256/Examples/cards_deal5.kbs
 share/basic256/Examples/checkerboard.kbs
@@ -13,8 +16,11 @@
 share/basic256/Examples/databasefoo.kbs
 share/basic256/Examples/db_quote.kbs
 share/basic256/Examples/dice/dice.kbs
+share/basic256/Examples/dice/dice_2.kbs
 share/basic256/Examples/dice/dicewood.wav
 share/basic256/Examples/errortrapping.kbs
+share/basic256/Examples/function_factorial.kbs
+share/basic256/Examples/function_randint.kbs
 share/basic256/Examples/hangman.kbs
 share/basic256/Examples/hello.kbs
 share/basic256/Examples/imgload/animatedhelp.kbs
@@ -60,6 +66,8 @@
 share/basic256/Examples/stamp.kbs
 share/basic256/Examples/stamp_flower.kbs
 share/basic256/Examples/story.kbs
+share/basic256/Examples/subroutine_global.kbs
+share/basic256/Examples/subroutine_squares.kbs
 share/basic256/Examples/testing/2darraytest.kbs
 share/basic256/Examples/testing/2dstrarraytest.kbs
 share/basic256/Examples/testing/KalRGB.kbs
@@ -132,12 +140,6 @@
 share/basic256/help/fr/stamp.png
 share/basic256/help/fr/style.css
 share/basic256/help/fr/tan.jpg
-share/basic256/help/ru/cir.png
-share/basic256/help/ru/color.png
-share/basic256/help/ru/fonttext.png
-share/basic256/help/ru/poly.png
-share/basic256/help/ru/radians.png
-share/basic256/help/ru/stamp.png
 share/basic256/help/ru/style.css
 @dirrm share/basic256/help/ru
 @dirrm share/basic256/help/fr
--------------------------------
Comment 3 fernando.apesteguia 2012-10-11 17:17:33 UTC
I need to make and update even before the first patch gets committed, sorry.

The patch-Stack.cpp fixed the compilation but caused some examples to
misbehave. This new diff file is the proper upgrade to 0.9.9.1.

--------------------------------
diff -ruN /usr/ports/lang/basic256/Makefile basic256/Makefile
--- /usr/ports/lang/basic256/Makefile   2012-08-10 14:28:23.000000000 +0200
+++ basic256/Makefile   2012-10-08 23:20:22.000000000 +0200
@@ -2,10 +2,11 @@
 # Date created:                Aug 17 2011
 # Whom:                        Fernando Apesteguia
<fernando.apesteguia@gmail.com>
 #
-# $FreeBSD: ports/lang/basic256/Makefile,v 1.5 2012/08/10 12:28:23
madpilot Exp $
+# $FreeBSD: ports/lang/basic256/Makefile,v 1.4 2012/06/06 06:44:01 miwi Exp $

 PORTNAME=              basic256
-PORTVERSION=           0.9.6.69a
+PORTVERSION=           0.9.9.1
+PORTREVISION=          1
 CATEGORIES=            lang
 MASTER_SITES=          ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    kidbasic/basic256
@@ -18,6 +19,8 @@
 BUILD_DEPENDS=         espeak:${PORTSDIR}/audio/espeak
 BUILD_DEPENDS+=                sqlite3:${PORTSDIR}/databases/sqlite3
 BUILD_DEPENDS+=                qmake-qt4:${PORTSDIR}/devel/qmake4
+BUILD_DEPENDS+=                bison:${PORTSDIR}/devel/bison
+BUILD_DEPENDS+=                flex:${PORTSDIR}/textproc/flex

 WRKSRC=                        ${WRKDIR}

diff -ruN /usr/ports/lang/basic256/distinfo basic256/distinfo
--- /usr/ports/lang/basic256/distinfo   2012-08-10 14:28:23.000000000 +0200
+++ basic256/distinfo   2012-10-08 19:25:08.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.6.69a.tgz) =
38a2246081d6d5572aeffe737ac4db4575f656705ee4479d4322e8bdd45f9140
-SIZE (basic256_0.9.6.69a.tgz) = 15708072
+SHA256 (basic256_0.9.9.1.tgz) =
cb959497b8576c790731eea0898855612f444f7a84bc743a9aae14680f40e372
+SIZE (basic256_0.9.9.1.tgz) = 7938684
diff -ruN /usr/ports/lang/basic256/files/patch-Stack.cpp
basic256/files/patch-Stack.cpp
--- /usr/ports/lang/basic256/files/patch-Stack.cpp      1970-01-01
01:00:00.000000000 +0100
+++ basic256/files/patch-Stack.cpp      2012-10-11 17:27:17.000000000 +0200
@@ -0,0 +1,12 @@
+--- Stack.cpp.orig     2012-10-11 17:26:55.000000000 +0200
++++ Stack.cpp  2012-10-11 17:27:14.000000000 +0200
+@@ -53,7 +53,8 @@
+ int Stack::height()
+ {
+       // return the height of the stack in elements
+-      return ((unsigned int) top - (unsigned int) bottom)/sizeof(stackval);
++      // magic of pointer math returns number of elements
++      return ((int) (top - bottom));
+ }
+
+ void
diff -ruN /usr/ports/lang/basic256/pkg-plist basic256/pkg-plist
--- /usr/ports/lang/basic256/pkg-plist  2012-08-10 14:28:23.000000000 +0200
+++ basic256/pkg-plist  2012-10-10 18:46:27.000000000 +0200
@@ -1,10 +1,13 @@
 bin/BASIC256
 share/basic256/Examples/15puzzle.kbs
+share/basic256/Examples/15puzzle_new.kbs
 share/basic256/Examples/BASICtest1.kbs
 share/basic256/Examples/arrays.kbs
 share/basic256/Examples/ballaccel.kbs
+share/basic256/Examples/ballaccel_2.kbs
 share/basic256/Examples/ballanim.kbs
 share/basic256/Examples/basic256_icon.kbs
+share/basic256/Examples/basic256_icon_V1.kbs
 share/basic256/Examples/card_suites.kbs
 share/basic256/Examples/cards_deal5.kbs
 share/basic256/Examples/checkerboard.kbs
@@ -13,8 +16,11 @@
 share/basic256/Examples/databasefoo.kbs
 share/basic256/Examples/db_quote.kbs
 share/basic256/Examples/dice/dice.kbs
+share/basic256/Examples/dice/dice_2.kbs
 share/basic256/Examples/dice/dicewood.wav
 share/basic256/Examples/errortrapping.kbs
+share/basic256/Examples/function_factorial.kbs
+share/basic256/Examples/function_randint.kbs
 share/basic256/Examples/hangman.kbs
 share/basic256/Examples/hello.kbs
 share/basic256/Examples/imgload/animatedhelp.kbs
@@ -60,6 +66,8 @@
 share/basic256/Examples/stamp.kbs
 share/basic256/Examples/stamp_flower.kbs
 share/basic256/Examples/story.kbs
+share/basic256/Examples/subroutine_global.kbs
+share/basic256/Examples/subroutine_squares.kbs
 share/basic256/Examples/testing/2darraytest.kbs
 share/basic256/Examples/testing/2dstrarraytest.kbs
 share/basic256/Examples/testing/KalRGB.kbs
@@ -132,12 +140,6 @@
 share/basic256/help/fr/stamp.png
 share/basic256/help/fr/style.css
 share/basic256/help/fr/tan.jpg
-share/basic256/help/ru/cir.png
-share/basic256/help/ru/color.png
-share/basic256/help/ru/fonttext.png
-share/basic256/help/ru/poly.png
-share/basic256/help/ru/radians.png
-share/basic256/help/ru/stamp.png
 share/basic256/help/ru/style.css
 @dirrm share/basic256/help/ru
 @dirrm share/basic256/help/fr
--------------------------------
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-10-11 18:41:45 UTC
State Changed
From-To: open->closed

Last version of your patch is committed along with my (mostly) style 
changes, thank you!